// SPDX-License-Identifier: Apache-2.0
import { Command } from "../../../../../core/command/Command";
export class FullRedeemAtMaturityCommandResponse {
    payload;
    transactionId;
    constructor(payload, transactionId) {
        this.payload = payload;
        this.transactionId = transactionId;
    }
}
export class FullRedeemAtMaturityCommand extends Command {
    securityId;
    sourceId;
    constructor(securityId, sourceId) {
        super();
        this.securityId = securityId;
        this.sourceId = sourceId;
    }
}
